"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Connect = exports.BullMQResponders = exports.respond = exports.WebSocketClient = exports.getRedisClient = void 0;
const socket_1 = require("./socket");
var queue_factory_1 = require("./queue-factory");
Object.defineProperty(exports, "getRedisClient", { enumerable: true, get: function () { return queue_factory_1.getRedisClient; } });
var ws_autoreconnect_1 = require("./ws-autoreconnect");
Object.defineProperty(exports, "WebSocketClient", { enumerable: true, get: function () { return ws_autoreconnect_1.WebSocketClient; } });
var respond_1 = require("./responders/respond");
Object.defineProperty(exports, "respond", { enumerable: true, get: function () { return respond_1.respond; } });
var bullmq_responders_1 = require("./responders/bullmq-responders");
Object.defineProperty(exports, "BullMQResponders", { enumerable: true, get: function () { return bullmq_responders_1.BullMQResponders; } });
const Connect = (name, token, connection, backend = "wss://api.taskforce.sh", opts = {}) => {
    return (0, socket_1.Socket)(name, backend, token, connection, opts);
};
exports.Connect = Connect;
