import { Integration } from "./interfaces/integration";
export interface Connection {
    port?: number;
    host?: string;
    password?: string;
    db?: number;
    uri?: string;
    tls?: object;
}
export declare const Socket: (name: string, server: string, token: string, connection: Connection, opts?: {
    team?: string;
    nodes?: string[];
    integrations?: {
        [key: string]: Integration;
    };
}) => void;
