export declare class WebSocketClient {
    private number;
    private autoReconnectInterval;
    private url;
    private opts;
    private instance;
    private pingTimeout;
    open(url: string, opts: object): void;
    send(data: string, option?: object): void;
    reconnect(err: Error): void;
    onopen(): void;
    heartbeat(): void;
    onmessage: (data: string, flags: object, num: number) => void;
    onerror: (e: Error) => void;
    onclose: (e: Error) => void;
}
