import { Integration } from "./interfaces/integration";
import { Connection } from "./socket";
export { Integration } from "./interfaces/integration";
export { getRedisClient, FoundQueue } from "./queue-factory";
export { WebSocketClient } from "./ws-autoreconnect";
export { Connection } from "./socket";
export { respond } from "./responders/respond";
export { BullMQResponders } from "./responders/bullmq-responders";
export declare const Connect: (name: string, token: string, connection: Connection, backend?: string, opts?: {
    team?: string;
    integrations?: {
        [key: string]: Integration;
    };
    nodes?: string[];
}) => void;
