export declare enum WebsocketError {
    NormalClosure = 1000,
    GoingAway = 1001,
    UnsupportedData = 1003,
    NoStatusDefined = 1005,
    AbnormalClosure = 1006,
    InvalidFramePayloadData = 1007,
    PolicyViolation = 1008,
    MessageTooBig = 1009,
    MissingExtension = 1010,
    InternalError = 1011,
    ServiceRestart = 1012,
    TryAgainLater = 1013,
    BadGateway = 1014,
    TLSHandshake = 1015
}
