"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebsocketError = void 0;
var WebsocketError;
(function (WebsocketError) {
    WebsocketError[WebsocketError["NormalClosure"] = 1000] = "NormalClosure";
    WebsocketError[WebsocketError["GoingAway"] = 1001] = "GoingAway";
    WebsocketError[WebsocketError["UnsupportedData"] = 1003] = "UnsupportedData";
    WebsocketError[WebsocketError["NoStatusDefined"] = 1005] = "NoStatusDefined";
    WebsocketError[WebsocketError["AbnormalClosure"] = 1006] = "AbnormalClosure";
    WebsocketError[WebsocketError["InvalidFramePayloadData"] = 1007] = "InvalidFramePayloadData";
    WebsocketError[WebsocketError["PolicyViolation"] = 1008] = "PolicyViolation";
    WebsocketError[WebsocketError["MessageTooBig"] = 1009] = "MessageTooBig";
    WebsocketError[WebsocketError["MissingExtension"] = 1010] = "MissingExtension";
    WebsocketError[WebsocketError["InternalError"] = 1011] = "InternalError";
    WebsocketError[WebsocketError["ServiceRestart"] = 1012] = "ServiceRestart";
    WebsocketError[WebsocketError["TryAgainLater"] = 1013] = "TryAgainLater";
    WebsocketError[WebsocketError["BadGateway"] = 1014] = "BadGateway";
    WebsocketError[WebsocketError["TLSHandshake"] = 1015] = "TLSHandshake";
})(WebsocketError || (exports.WebsocketError = WebsocketError = {}));
